Package org.apache.sling.caconfig.management.impl.console

# Class CAConfigInventoryPrinter

java.lang.Object
org.apache.sling.caconfig.management.impl.console.CAConfigInventoryPrinter

All Implemented Interfaces:
  `org.apache.felix.inventory.InventoryPrinter`

public class CAConfigInventoryPrinter extends Object implements org.apache.felix.inventory.InventoryPrinter
Web console configuration printer.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
`static final String`
`TITLE`

### Fields inherited from interface org.apache.felix.inventory.InventoryPrinter

`FORMAT, SERVICE, WEBCONSOLE`

## Constructor Summary

Constructors
Constructor
Description
`CAConfigInventoryPrinter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`print(PrintWriter pw, org.apache.felix.inventory.Format format, boolean isZip)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

### TITLE

public static final String TITLE

See Also:
  - Constant Field Values

## Constructor Details

### CAConfigInventoryPrinter

public CAConfigInventoryPrinter()

## Method Details

### print

public void print(PrintWriter pw, org.apache.felix.inventory.Format format, boolean isZip)

Specified by:
  `print` in interface `org.apache.felix.inventory.InventoryPrinter`